ODTEST(1)

NAME
odtest - test cases for QDBM Odeum

SYNOPSIS

odtest write [-tune ibnum idnum cbnum csiz] name dnum wnum pnum
odtest read name
odtest combo name
odtest wicked name dnum

DESCRIPTION

The command `odtest' is a utility for facility test and performance test. Check a database generated by the command or measure the execution time of the command. This command is used in the following format. `name' specifies a database name. `dnum' specifies the number of the documents. `wnum' specifies the number of words per document. `pnum' specifies the number of patterns of words.

odtest write [-tune ibnum idnum cbnum csiz] name dnum wnum pnum
    Store documents with random attributes and random words.

odtest read name
    Retrieve all documents of the database above.

odtest combo name
    Perform combination test of various operations.

odtest wicked name dnum
    Perform updating operations selected at random.

Options feature the following.

    -tune ibnum idnum cbnum csiz : set tuning parameters.

This command returns 0 on success, another on failure. The environment variable `QDBMDBGFD' specifies the file descriptor to output the history of updating the variable `dpecode'.

SEE ALSO

qdbm(3), odeum(3)

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.